Path::IsDev::Role::HeuristicSet::Simple(3)

NAME
Path::IsDev::Role::HeuristicSet::Simple - Simple excludes/includes set

VERSION
version 1.001003

ROLE REQUIRES

  "heuristics"
Consuming classes must provide this method, and return a list of shorthand Heuristics.

    sub heuristics {
        return qw( MYMETA )
    }

  "negative_heuristics"
Consuming classes must provide this method, and return a list of shorthand Negative Heuristics.

    sub negative_heuristics {
        return qw( IsDev::IgnoreFile )
    }

METHODS

  "modules"
Returns the list of fully qualified module names that comprise this heuristic.

expands results from "->heuristics" and "->negative_heuristics", with negative ones preceding positive.

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.